org.eclipse.wst.jsdt.chromium.debug.core.model

## Class ChromiumExceptionBreakpoint

- java.lang.Object
- - Breakpoint
  - - org.eclipse.wst.jsdt.chromium.debug.core.model.ChromiumExceptionBreakpoint

    public class ChromiumExceptionBreakpoint
    extends Breakpoint

JavaScript exception breakpoint. It always stops for uncaught breakpoints, and optionally stops on caught breakpoints (see 'include caught' property).

### Constructor Summary

Constructors
Constructor and Description
`ChromiumExceptionBreakpoint()`
`ChromiumExceptionBreakpoint(IResource resource, boolean includingCaught, java.lang.String modelId)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `getIncludeCaught()`
`java.lang.String` `getModelIdentifier()`
`void` `setIncludeCaught(boolean value)`
`static ChromiumExceptionBreakpoint` `tryCastBreakpoint(IBreakpoint breakpoint)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChromiumExceptionBreakpoint

    public ChromiumExceptionBreakpoint()

#### ChromiumExceptionBreakpoint

    public ChromiumExceptionBreakpoint(IResource resource,
                                       boolean includingCaught,
                                       java.lang.String modelId)
                                throws DebugException

Throws:
  `DebugException`

### Method Detail

#### setIncludeCaught

    public void setIncludeCaught(boolean value)
                          throws CoreException

Throws:
  `CoreException`

#### getIncludeCaught

    public boolean getIncludeCaught()

#### getModelIdentifier

    public java.lang.String getModelIdentifier()

#### tryCastBreakpoint

    public static ChromiumExceptionBreakpoint tryCastBreakpoint(IBreakpoint breakpoint)